/*
 * gsampler-uimanager.h
 * Copyright (C) Lilian Monchalin 2011 <isaya07@users.sf.net>
 * 
 * gsampler is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * gsampler is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _GSAMPLER_UIMANAGER_H_
#define _GSAMPLER_UIMANAGER_H_

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define GSAMPLER_STOCK_KEYBOARD "keyboard"
#define GSAMPLER_STOCK_CONSOLE "console"
#define GSAMPLER_STOCK_CARD "card"
#define GSAMPLER_STOCK_SOUND "sound"

#define GSAMPLER_TYPE_UI_MANAGER (gsampler_ui_manager_get_type ())
#define GSAMPLER_UI_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GSAMPLER_TYPE_UI_MANAGER, GsamplerUiManager))
#define GSAMPLER_UI_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GSAMPLER_TYPE_UI_MANAGER, GsamplerUiManagerClass))
#define GSAMPLER_IS_UI_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GSAMPLER_TYPE_UI_MANAGER))
#define GSAMPLER_IS_UI_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GSAMPLER_TYPE_UI_MANAGER))
#define GSAMPLER_UI_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GSAMPLER_TYPE_UI_MANAGER, GsamplerUiManagerClass))

typedef struct _GsamplerUiManager GsamplerUiManager;
typedef struct _GsamplerUiManagerClass GsamplerUiManagerClass;

struct _GsamplerUiManager {
	GtkUIManager parent_instance;
};

struct _GsamplerUiManagerClass {
	GtkUIManagerClass parent_class;
};

GType 				gsampler_ui_manager_get_type (void) G_GNUC_CONST;
GsamplerUiManager* 	gsampler_ui_manager_new (void);
GsamplerUiManager* 	gsampler_ui_manager_get_instance (void);

GtkAction* 			gsampler_ui_manager_get_action (GsamplerUiManager* self, const gchar* name);
void 				gsampler_ui_manager_action_set_sensitive (GsamplerUiManager* self, 
				                                              const gchar* name, gboolean sensi);
void 				gsampler_ui_manager_action_set_toggled (GsamplerUiManager* self, 
				                                            const gchar* name, gboolean active);
void 				gsampler_ui_manager_group_set_sensitive (GsamplerUiManager* self, 
				                                             const gchar* name, gboolean sensi);

G_END_DECLS

#endif /* _GSAMPLER_UIMANAGER_H_ */